<?php
include 'header.php';
include 'erpc_financeiro_analise_contas_toolbar.php';
require_once 'connect.php';

if(isset($_POST['buscar'])){
    
    if(isset($_POST['dt_inicio'])){
        $dt_inicio = $_POST['dt_inicio'];
    }
    if(isset($_POST['dt_final'])){
        $dt_final = $_POST['dt_final'];
    }
    
    if(isset($_POST['id_plano_contas'])){
        $id_plano_contas = $_POST['id_plano_contas'];
    }
    
    $sql_pl_contas = "Select * from erpc_financeiro_plano_contas where id = $id_plano_contas";
    $resultado_pl_contas = mysqli_query($conexao, $sql_pl_contas);
    if(mysqli_num_rows($resultado_pl_contas)){
        while($pl_contas = mysqli_fetch_assoc($resultado_pl_contas)){
            //$nr_codigo = $pl_contas['ds_condicao'];
            $id_condicao = $pl_contas['id_condicao'];
            $ds_codigo   = $pl_contas['ds_codigo'];
        }
    }
    
}

$sql_vendas = "select sum(vl_total_pedido) vl_receitas 
                    from erpc_pedidos_venda_liberados 
                    where dh_liberacao between STR_TO_DATE('$dt_inicio', '%d/%m/%Y') and STR_TO_DATE('$dt_final', '%d/%m/%Y')";

$sql_receita_titulos = "select sum(vl_saldo - vl_desconto) vl_receita_titulos 
                            from erpc_financeiro_lancamentos 
                            where dt_vencimento between STR_TO_DATE('$dt_inicio', '%d/%m/%Y') and STR_TO_DATE('$dt_final', '%d/%m/%Y')
                            and id_tipo_titulo = 1; "; // id_tipo_titulo = 1 = Receitas

$sql_despesa_titulos = "select sum(vl_saldo - vl_desconto) vl_despesa_titulos 
                            from erpc_financeiro_lancamentos 
                            where dt_vencimento between STR_TO_DATE('$dt_inicio', '%d/%m/%Y') and STR_TO_DATE('$dt_final', '%d/%m/%Y') 
                            and id_tipo_titulo = 2;"; // id_tipo_titulo = 2 = Despesas

$sql_consulta_vw = "select * 
                        from    vw_erpc_analise_contas 
                        where   dt_conta between STR_TO_DATE('$dt_inicio', '%d/%m/%Y') and STR_TO_DATE('$dt_final', '%d/%m/%Y')
                                and nr_codigo like '$ds_codigo%' ";

$sql_consulta_vw = "select 	 pc.id
                    		,pc.ds_codigo nr_codigo
                    		,pc.ds_plano ds_codigo
                    		,sum(fin.vl_saldo - fin.vl_desconto) as vl_valor
                            ,fin.dt_vencimento as dt_conta
                    	from erpc_financeiro_lancamentos fin
                    		inner join erpc_financeiro_plano_contas pc
                            on fin.id_planofin = pc.id
                        where fin.dt_vencimento between STR_TO_DATE('$dt_inicio', '%d/%m/%Y') and STR_TO_DATE('$dt_final', '%d/%m/%Y')
                    				and pc.ds_codigo like '$ds_codigo%'
                    	group by ds_codigo;";



$resultado_vendas = mysqli_query($conexao, $sql_vendas);
if(mysqli_num_rows($resultado_vendas) > 0) {
    while($venda = mysqli_fetch_assoc($resultado_vendas)){
        $vl_vendas = $venda['vl_receitas'];
    }
}

$resultado_receita_titulos = mysqli_query($conexao, $sql_receita_titulos);
if(mysqli_num_rows($resultado_receita_titulos)){
    while($receita_titulo = mysqli_fetch_assoc($resultado_receita_titulos)){
        $vl_receita_titulos = $receita_titulo['vl_receita_titulos'];
    }
}

$resultado_despesa_titulos = mysqli_query($conexao, $sql_despesa_titulos);
if(mysqli_num_rows($resultado_despesa_titulos)){
    while($despesa_titulos = mysqli_fetch_assoc($resultado_despesa_titulos)){
        $vl_despesa_titulos = $despesa_titulos['vl_despesa_titulos'];
    }
}

$vl_receitas = $vl_receita_titulos;

$ar_resultado_vw = array();

//SOMAR os campos de valor da vw do plano de contas escolhido
$vl_plano = 0.00;


$resultado_vw = mysqli_query($conexao, $sql_consulta_vw);
if(mysqli_num_rows($resultado_vw)){
    while($resultado = mysqli_fetch_assoc($resultado_vw)){
        $id      =   $resultado['id'];
        $cod     =   $resultado['nr_codigo'];
        $ds_codigo = $resultado['ds_codigo'];
        $vl_valor  = $resultado['vl_valor'];
        array_push($ar_resultado_vw, array('id'=>$id, 'cod'=>$cod, 'ds_codigo'=>$ds_codigo, 'vl_valor'=>$vl_valor));
        $vl_plano+=$vl_valor;
    }
}




$ds_vl_plano = number_format($vl_plano, 2, ',', '.');
if($id_condicao == 1){
    if($vl_receitas != 0){
        $ds_porc_receitas = number_format((($vl_plano*100)/$vl_receitas), 2, ',', '.');
    }else{
        $ds_porc_receitas = number_format(0, 2, ',', '.');
    }
    
}elseif($id_condicao == 2){
    if($vl_despesa_titulos != 0){
        $ds_porc_receitas = number_format((($vl_plano*100)/$vl_despesa_titulos), 2, ',', '.');
    }else{
        $ds_porc_receitas = number_format(0, 2, ',', '.');
    }
}

?>

<div class="block">
  <div class="header">
  <h1>Análise de Contas</h1>
  </div>
  
  <div class="content">
  	<div>
  	<h3>Esses R$ <?php echo $ds_vl_plano;?> representam 
  		 <?php
  		 echo $ds_porc_receitas; 
  		 if($id_condicao == 1){
  		    echo "% do seu total de receitas</h3>";
  		 }elseif($id_condicao == 2){
  		     echo "% do seu total de despesas</h3>";
  		 }
  		 
  		 
  		 ?> 
  </div><br>
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible">
        <thead>
          <tr>
            <th width=5%>ID</th>
            <th width=10%>Cód.</th>
            <th width=35%>Descrição</th>
            <th width=20%>Valor</th>
			<th width=20%>Percentual</th>
          </tr>
        </thead>
        <tbody>
			
           <?php
          
           for($i=0; $i < count($ar_resultado_vw); $i++){
               echo "<tr>";
               echo "<td>" . $ar_resultado_vw[$i]['id'] . "</td>";
               echo "<td>" . $ar_resultado_vw[$i]['cod'] . "</td>";
               echo "<td>" . $ar_resultado_vw[$i]['ds_codigo'] . "</td>";
               echo "<td>" . $ar_resultado_vw[$i]['vl_valor'] . "</td>";
               echo "<td>" . number_format((($ar_resultado_vw[$i]['vl_valor'] * 100)/$vl_receitas), 2, ',', '.') . "%</td>";
               echo "</tr>";
           }
           /*
           $resultado_vw = mysqli_query($conexao, $sql_consulta_vw);
           if(mysqli_num_rows($resultado_vw)){
               while($resultado = mysqli_fetch_assoc($resultado_vw)){
                   $id      =   $resultado['id'];
                   $cod     =   $resultado['nr_codigo'];
                   $ds_codigo = $resultado['ds_codigo'];
                   $vl_valor  = $resultado['vl_valor'];
                   echo "<tr>";
                   echo "<td>$id</td>";
                   echo "<td>$cod</td>";
                   echo "<td>$ds_codigo</td>";
                   echo "<td>$vl_valor</td>";
                   echo "<td>" . number_format((($vl_valor * 100)/$vl_receitas), 2, ',', '.') . "%</td>";
                   echo "</tr>";
               }
           }
           */
           
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<!-- modal da legenda, deve ficar no fim do body, mas posso colocar aqui pois o js/code.js faz a movimentação depois para mim -->
<div class="modal fade bs-legenda-modal-sm" tabindex="-1" role="dialog" aria-labelledby="myLegenda">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <table class="table">
        <tr>
          <td><i class="fa fa-circle text-success" title="Status"><span class="sr-only">Status</span></i></td>
          <td>Descrição do status aqui</td>
        </tr>
        <tr>
          <td><i class="fa fa-circle text-danger" title="Status"><span class="sr-only">Status</span></i></td>
          <td>Descrição do status aqui</td>
        </tr>
        <tr>
          <td><i class="fa fa-circle text-info" title="Status"><span class="sr-only">Status</span></i></td>
          <td>Descrição do status aqui</td>
        </tr>
        <tr>
          <td><i class="fa fa-circle text-warning" title="Status"><span class="sr-only">Status</span></i></td>
          <td>Descrição do status aqui</td>
        </tr>
      </table>
    </div>
  </div>
</div>
<!-- fim modal legenda -->

<?php include 'footer.php';?>
